#ifndef TIMELINE_H
#define TIMELINE_H

#include "mathutils.h"
#include <memory>
#include <vector>

class Note;

class Timeline
{
public:
    virtual ~Timeline() = default;

    virtual void update() = 0;
    virtual void clear() = 0;

    virtual microsec currentMusicOffset() const = 0;
    virtual void drawVisibleNotes() const = 0;
};

#endif // TIMELINE_H
